Makini
v3 (Legacy)
  • v4 (Latest)
  • v3 (Legacy)
Website
v3 (Legacy)
  • v4 (Latest)
  • v3 (Legacy)
v3 (Legacy)
  • v4 (Latest)
  • v3 (Legacy)
  1. Part
API Reference
  • API Reference
  • Account
    • List Account
      GET
    • Get an Account
      GET
  • Model
    • List Model
      GET
    • Get a Model
      GET
  • MaterialItem
    • Get Asset Template Materials
      GET
    • Get Asset Materials
      GET
    • Get Assembly Materials
      GET
    • Get PM Materials
      GET
    • Get Order Materials
      GET
  • Asset
    • List Asset
      GET
    • Create an Asset
      POST
    • Get an Asset
      GET
    • Update an Asset
      PUT
  • AssetDowntime
    • List AssetDowntime
      GET
    • Get an AssetDowntime
      GET
  • BillOfMaterial
    • List BillOfMaterial
      GET
    • Get a BillOfMaterial
      GET
  • Company
    • List Company
      GET
    • Get a Company
      GET
  • Currency
    • List Currency
    • Get a Currency
  • Customer
    • List Customer
    • Create a Customer
    • Get a Customer
    • Update a Customer
  • Document
    • List Document
    • Create a Document
    • Get a Document
  • ExchangeRate
    • List ExchangeRate
    • Get an ExchangeRate
  • Fulfillment
    • List Fulfillment
    • Create a Fulfillment
    • Get a Fulfillment
    • Update a Fulfillment
    • Update a Fulfillment Status
  • ProductGroup
    • List ProductGroup
    • Get a ProductGroup
  • Integration
    • Get an Integration Current
    • Delete an Integration Integration
  • Inventory
    • List Inventory
    • Get an Inventory
    • Update an Inventory
  • Invoice
    • List Invoice
    • Create an Invoice
    • Get an Invoice
    • Update an Invoice
    • Update an Invoice Status
  • Labor
    • List Labor
    • Get a Labor
  • Location
    • List Location
    • Get a Location
  • Part
    • List Part
      GET
    • Create a Part
      POST
    • Get a Part
      GET
    • Update a Part
      PUT
  • Material
    • Update a Material Inventory
  • CounterReading
    • List CounterReading
    • Get a CounterReading
  • Counter
    • List Counter
    • Get a Counter
  • Organization
    • List Organization
    • Get an Organization
  • Passthrough
    • Create a Passthrough
  • PreventiveMaintenance
    • List PreventiveMaintenance
    • Get a PreventiveMaintenance
  • ProductionOrder
    • List ProductionOrder
    • Get a ProductionOrder
  • Product
    • List Product
    • Create a Product
    • Get a Product
    • Update a Product
  • Project
    • List Project
    • Get a Project
  • PurchaseOrder
    • List PurchaseOrder
    • Create a PurchaseOrder
    • Get a PurchaseOrder
    • Update a PurchaseOrder
    • Update a PurchaseOrder Status
  • LineItem
    • List LineItem
    • Get a LineItem
  • PurchaseRequisition
    • List PurchaseRequisition
    • Get a PurchaseRequisition
  • Raw
    • Get list of tables
    • Get raw data from a table
  • Receipt
    • List Receipt
    • Get a Receipt
  • Receiving
    • List Receiving
    • Create a Receiving
    • Get a Receiving
    • Update a Receiving
  • ReturnOrder
    • List ReturnOrder
    • Create a ReturnOrder
    • Get a ReturnOrder
    • Update a ReturnOrder
  • RequestForQuotation
    • List RequestForQuotation
    • Create a RequestForQuotation
    • Get a RequestForQuotation
    • Update a RequestForQuotation
  • SalesOrder
    • List SalesOrder
    • Create a SalesOrder
    • Get a SalesOrder
    • Update a SalesOrder
  • ServiceRequest
    • List ServiceRequest
    • Create a ServiceRequest
    • Get a ServiceRequest
  • ShipmentOrder
    • List ShipmentOrder
    • Get a ShipmentOrder
    • Create a ShipmentOrder Delivered
  • Site
    • List Site
    • Get a Site
  • Status
    • List Status Fulfillments
    • List Status Invoices
    • List Status ProductionOrders
    • List Status Projects
    • List Status PurchaseOrders
    • List Status PurchaseRequisitions
    • List Status Receivings
    • List Status ReturnOrders
    • List Status Rfqs
    • List Status SalesOrders
    • List Status ServiceRequests
    • List Status ShipmentOrders
    • List Status StockTransfers
    • List Status WorkOrders
  • StockAdjustment
    • List StockAdjustment
    • Create a StockAdjustment
    • Get a StockAdjustment
    • Update a StockAdjustment
  • StockTransfer
    • List StockTransfer
    • Create a StockTransfer
    • Get a StockTransfer
    • Update a StockTransfer
  • Stock
    • List Stock
    • Create a Stock
    • Get a Stock
    • Update a Stock
  • Storeroom
    • List Storeroom
    • Get a Storeroom
  • Client
    • Get a Client
  • Connection
    • List Connections
    • Create a Connection
    • Delete a Connection
  • ConnectionMetadata
    • List ConnectionMetadatas
    • Create a ConnectionMetadata
  • ConnectionToken
    • Create a ConnectionToken
  • Platform
    • List Platforms
  • Tax
    • List Tax
    • Get a Tax
  • Team
    • List Team
    • Get a Team
  • UnitOfMeasure
    • List UnitOfMeasure
    • Get an UnitOfMeasure
  • User
    • List User
    • Get an User
  • Vendor
    • List Vendor
    • Get a Vendor
  • WorkOrder
    • List WorkOrder
    • Create a WorkOrder
    • Get a WorkOrder
    • Update a WorkOrder
    • List WorkOrder Materials
    • Create a WorkOrder Material
    • Update a WorkOrder Material
    • Update a WorkOrder Status
    • List All WorkOrder Materials
  • CustomField
    • List CustomField CustomFields
  1. Part

Create a Part

POST
/api/materials
Detail validations

Request

Authorization
or
Body Params application/json

Examples

Responses

🟢200
application/json
Successful operation
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/materials' \
--header 'Content-Type: application/json' \
--data-raw '{
    "siteKeys": "[]",
    "parentKeys": "[]",
    "assetKeys": "[]",
    "vendorKeys": "string",
    "documents": "[]",
    "accountKey": "04000675181198",
    "code": "02089966",
    "isAssembly": "false",
    "partNumber": "string",
    "name": "string",
    "description": "Reiciendis voluptatum qui accusamus ut.",
    "notes": "string",
    "criticality": "string",
    "isActive": "false",
    "manufacturerName": "string",
    "minimumQuantity": "string",
    "cost": "string",
    "currency": "string"
}'
Response Response Example
{
    "data": {
        "key": "05000574815556",
        "siteKeys": "[]",
        "parentKeys": "[]",
        "assetKeys": "[]",
        "vendorKeys": "string",
        "organizationKey": "08000889695500",
        "documents": [
            {
                "key": "02000655374225",
                "entityKeys": "[]",
                "name": "string",
                "url": "string",
                "type": "string",
                "contentType": "string",
                "description": "Et omnis cum provident eveniet.",
                "notes": "string",
                "createdAt": "1973-05-24T01:04:36Z",
                "updatedAt": "2010-06-24T02:10:56Z"
            }
        ],
        "accountKey": "09000882990490",
        "categoryName": "string",
        "code": "54284920",
        "isAssembly": "true",
        "partNumber": "string",
        "name": "string",
        "description": "Enim et est ad illo.",
        "notes": "string",
        "criticality": "string",
        "isActive": "false",
        "manufacturerName": "string",
        "minimumQuantity": "string",
        "uomKey": "08000641794995",
        "cost": "string",
        "currency": "string",
        "supplyOptions": [
            {
                "vendorKey": "09000119298942",
                "partNumber": "[]",
                "price": "[]",
                "uomKey": "02000252840354",
                "currencyKey": "03000087665903",
                "uomQuantity": "string",
                "makePartNumber": "string",
                "reorderPoint": "string",
                "createdAt": "1974-06-29T03:57:53Z",
                "updatedAt": "2009-08-09T19:29:22Z"
            }
        ],
        "priceLevels": [
            {
                "name": "string",
                "price": "string",
                "uomKey": "07000528470446",
                "uomQuantity": "string",
                "currencyKey": "08000992610815",
                "taxKey": "01000037651662",
                "minQuantity": "string",
                "maxQuantity": "string",
                "updatedAt": "2007-03-18T01:25:42Z",
                "deletedAt": "2023-11-16T07:47:33Z"
            }
        ],
        "createdAt": "2007-09-25T15:43:02Z",
        "updatedAt": "2013-07-30T07:38:55Z",
        "deletedAt": "2009-02-06T13:50:29Z",
        "inventory": {
            "key": "02000944776828",
            "code": "47471535",
            "name": "string",
            "quantity": 10,
            "unitCost": 10,
            "locationKey": "09000905598793",
            "updatedAt": "2023-01-12T10:36:39Z",
            "createdAt": "2023-09-11T08:54:55Z"
        },
        "drawings": [
            {
                "drawingNo": "string",
                "drawingPos": "string",
                "referenceNo": "string",
                "referencePos": "string",
                "documents": [
                    {
                        "key": "01000933453756",
                        "entityKeys": "[]",
                        "name": "string",
                        "url": "string",
                        "type": "string",
                        "contentType": "string",
                        "description": "Est quidem sed incidunt.",
                        "notes": "string",
                        "createdAt": "1982-02-12T05:59:00Z",
                        "updatedAt": "2018-10-24T00:10:13Z"
                    }
                ]
            }
        ],
        "dimensions": []
    }
}
Modified at 2026-03-19 15:49:21
Previous
List Part
Next
Get a Part
Built with